﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using CardConcepts;

namespace DealCardsWithController {

  // This form's job is to
  //  (1) announce when a button is clicked
  //  (2) display a string that shows card info
  public partial class Form1 : Form {

    // handles to controller and model:
    private GameController c;  // UGH --- why does this Form need to know about Controller c ???
    private Hand h;  // UGH --- why does this Form need to know about Hand h ???
    private int count = 0;

    public Form1(GameController c, Hand h) {
      this.c = c;  this.h = h;
      InitializeComponent();
    }

    // handles  button1  click: calls controller to execute algorithm
    // and then refreshes the view (label1) with the updated hand of cards
    private void button1_Click(object sender, EventArgs e) {
        count = count + 1; 
        c.addCard();
        label1.Text = count + "\n" + h.ToString(); 
    }

  }
}
