﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CardConcepts;
using System.Windows.Forms;  // add me to use messagebox

namespace DealCardsWithController {

  // controller ("algorithm") for game
  public class GameController {

    // handles to model (entity) objects
    private Deck d; 
    private Hand h;

    public GameController(Deck d, Hand h) { this.d = d; this.h = h; }

    // adds one more card to hand
    // returns: value of param c prefixed to new listing of hand's contents
    public string addCard(int c) {
      h.add(d.deal());
      return c + "\n" + h.ToString();
    }

  }
}
