﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using CardConcepts;

namespace DealCardsWithController {

  // the Delegate defines a data type for methods:
  public delegate void Eventhandler(object sender, EventArgs e);

  static class Program {
    /// <summary>
    /// Card game assembly:
    /// </summary>
    [STAThread]
    static void Main() {

      // allocate model (entity) objects and the controller:
      Hand h = new Hand();
      Deck d = new Deck();
      GameController c = new GameController(d, h);

      Application.EnableVisualStyles();
      Application.SetCompatibleTextRenderingDefault(false);

      // IMPORTANT: note argument to newly activated  Form1
      Application.Run(new Form1("???"));
    }
  }
}
